@font-face {
  font-family: "Pokemon-Hollow";
  src: url(fonts/Pokemon-Hollow.ttf);
}

@font-face {
  font-family: "Pokemon-Solid";
  src: url(fonts/Pokemon-Solid.ttf);
}

body {
  margin: 0 auto;
  background-color: rgb(42, 42, 42);
  font-family: "Pokemon-Hollow";
  color: rgb(1, 47, 47);
}

/* Styling for the 20 Pokémon */

#pokedex {
  display: flex;
  justify-content: center;
  width: 100%;
  max-height: 100%;
}

#pokemon-container {
  display: inline-flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 0;
  padding-top: 10px;
  width: 100%;
  height: 100%;
}

/* Individual Pokémon */

#pokemon-card {
  background-color: #d7d7d7;
  border: none;
  border-radius: 20px;
  margin: 10px;
  padding: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 250px;
  height: 120px;
  background-image: url("../images/card.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: darken;
  transition: all 0.2s ease-in-out;
}

#pokemon-card:hover {
  box-shadow: 0 14px 28px rgba(137, 223, 223, 0.25),
    0 10px 10px rgba(80, 213, 213, 0.25);
  cursor: pointer;
  transform: translateY(-5px);
  transition: all 0.2s ease-in-out;
}

#pokemon-card p {
  margin-top: -15px;
}

#pokemon-card img {
  height: 120px;
  position: absolute;
  margin-left: -150px;
}

#pokemon-card h2 {
  position: absolute;
  margin-left: 100px;
}

#pokemonNumber {
  background-color: #c12026;
  color: #f5f5f5;
  border-radius: 10%;
  padding: 10px;
  width: 35px;
  height: 35px;
  text-align: center;
  font-size: 20px;
  box-shadow: darkred 1.5px 1.5px 5px;
  font-family: "Pokemon-Solid";
  position: absolute;
  margin-top: -115px;
  margin-left: 100px;
}

/* Next and previous buttons */

#buttons {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

#buttons button {
  background-color: rgb(4, 87, 87);
  color: rgb(223, 255, 255);
  border: none;
  border-radius: 10px;
  padding: 10px;
  margin: 10px;
  width: 10%;
  min-width: 150px;
  height: 50px;
  font-size: 20px;
  font-family: "Pokemon-Solid";
  transition: all 0.2s ease-in-out;
}

#buttons button:disabled {
  display: none;
}

#buttons button p {
  margin-top: -15px;
}

#buttons button:hover {
  background-color: rgb(13, 102, 102);
  color: rgb(223, 255, 255);
  box-shadow: rgb(1, 47, 47) 1.5px 1.5px 5px;
  transition: all 0.2s ease-in-out;
  cursor: pointer;
}